### Method

# FwupdPlugin Device set_required_free

since: 2.0.12

#### Declaration [src]

    void
    fu_device_set_required_free (
      FuDevice* self,
      guint64 required_free
    )

#### Description [src]

Sets the required amount of free firmware size.

NOTE: What we really want to do for EFI devices is check if a contiguous block of the right size can be written, but on most machines this causes an SMI which causes all cores to halt. On my desktop this causes ALL CPU processes to stop for ~1s, which is clearly unacceptable at every boot. Instead, check for free space at least as big as needed, plus a little extra.

Available since: 2.0.12

Sets property | `FwupdPlugin.Device:required-free`

#### Parameters

`required_free`

  Type: `guint64`

  Size in bytes.